=== debian/changelog ===
sdl-kitchensink (0.0.7-3) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:55:30 +0100

sdl-kitchensink (0.0.7-2) unstable; urgency=medium

  * Indent lists in extended descriptions
  * Put libsdl-kitchensink0 in section libs
  * Mark libsdl-kitchensink{0,-dev} Multi-Arch: same
  * Add uversionmangle to remove -alpha from upstream tags
  * Add debian/gbp.conf

 -- Didier Raboud <odyx@debian.org>  Wed, 25 Oct 2017 10:32:38 +0200

sdl-kitchensink (0.0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #878673)

 -- Didier Raboud <odyx@debian.org>  Fri, 20 Oct 2017 14:01:07 +0200
