=== debian/control ===
Source: sdl-kitchensink
Maintainer: Didier Raboud <odyx@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10.2.5~),
               cmake,
               libsdl2-dev,
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavresample-dev,
               libavutil-dev,
               libswresample-dev,
               libswscale-dev,
               libpostproc-dev,
               libass-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
Homepage: https://github.com/katajakasa/SDL_kitchensink

Package: libsdl-kitchensink0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: FFmpeg and SDL2 based library for audio and video playback
 It provides FFmpeg-based audio and video playback for SDL which features:
  - Decoding video & audio via FFmpeg
  - Dumping video data on SDL_textures
  - Dumping audio data in the usual mono/stereo interleaved formats
  - Automatic audio and video conversion to SDL2 friendly formats
  - Synchronizing video & audio to clock
  - Seeking forwards and backwards
  - Bitmap & libass subtitle support
 .
 This package contains the shared library.

Package: libsdl-kitchensink-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libsdl-kitchensink0 (= ${binary:Version}),
         ${misc:Depends}
Description: FFmpeg and SDL2 based library for audio and video playback - Development files
 It provides FFmpeg-based audio and video playback for SDL which features:
  - Decoding video & audio via FFmpeg
  - Dumping video data on SDL_textures
  - Dumping audio data in the usual mono/stereo interleaved formats
  - Automatic audio and video conversion to SDL2 friendly formats
  - Synchronizing video & audio to clock
  - Seeking forwards and backwards
  - Bitmap & libass subtitle support
 .
 This package contains the development files.
