=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?alpha$/$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sdl-kitchensink-$1\.tar\.gz/ \
  https://github.com/katajakasa/SDL_kitchensink/tags .*/v?(\d\S+)\.tar\.gz
