=== debian/changelog ===
sdl-kitchensink (1.0.5-1) unstable; urgency=medium

  * New 1.0.5 upstream release
    - Configure to use dynamically loaded libass

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Sep 2018 10:58:55 +0200

sdl-kitchensink (1.0.4-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 17 Sep 2018 10:06:08 +0200

sdl-kitchensink (1.0.4-1) experimental; urgency=medium

  * New 1.0.4 upstream release
    - Add Kit_CreateSourceFromRW symbol
  * Bump S-V to 4.2.1 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 03 Sep 2018 11:48:01 +0200

sdl-kitchensink (1.0.2-1) experimental; urgency=low

  * New 1.0.2 upstream release
  * Bump S-V to 4.1.4 without changes needed
  * Bump libsdl-kitchensink SOVERSION from 0 to 1, refresh symbols
  * Add libsdl2-dev Depends to libsdl-kitchensink-dev

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Jul 2018 08:52:43 +0200
