=== debian/control ===
--- 
+++ 
@@ -15,12 +15,12 @@
                libswscale-dev,
                libpostproc-dev,
                libass-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
 Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
 Homepage: https://github.com/katajakasa/SDL_kitchensink
 
-Package: libsdl-kitchensink0
+Package: libsdl-kitchensink1
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
@@ -41,7 +41,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libsdl-kitchensink0 (= ${binary:Version}),
+Depends: libsdl-kitchensink1 (= ${binary:Version}),
+         libsdl2-dev,
          ${misc:Depends}
 Description: FFmpeg and SDL2 based library for audio and video playback - Development files
  It provides FFmpeg-based audio and video playback for SDL which features:
