=== debian/changelog ===
sdl-kitchensink (1.0.6-1) unstable; urgency=medium

  * New 1.0.6 upstream release
  * Bump debhelper compat to 11 without changes needed
  * Install examples to libsdl-kitchensink-dev

 -- Didier Raboud <odyx@debian.org>  Fri, 05 Oct 2018 15:20:25 +0200
