=== debian/changelog ===
sdl-kitchensink (1.0.7-1) unstable; urgency=medium

  * New 1.0.7 upstream release

 -- Didier Raboud <odyx@debian.org>  Sun, 25 Nov 2018 13:53:27 +0100
