=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Didier Raboud <odyx@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10.2.5~),
+Build-Depends: debhelper (>= 11~),
                cmake,
                libsdl2-dev,
                libavcodec-dev,
