=== debian/changelog ===
sdl-kitchensink (1.0.8-2) unstable; urgency=medium

  * Pass -fcommon in CFLAGS to circumvent gcc-10 FTBFS (Closes: #957784)

 -- Didier Raboud <odyx@debian.org>  Fri, 24 Jul 2020 14:50:23 +0200

sdl-kitchensink (1.0.8-1) unstable; urgency=medium

  * New 1.0.8 upstream release

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12
  * Set various upstream metadata fields
  * Rely on pre-initialized dpkg-architecture variables

  [ Didier Raboud ]
  * Bump S-V to 4.5.0 without changes needed
  * Bump debhelper compat to 13
  * Install pkgconfig file in -dev

 -- Didier Raboud <odyx@debian.org>  Tue, 05 May 2020 19:19:46 +0200
