=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+
+# Circumvent GCC-10 FTBFS
+### A common mistake in C is omitting extern when declaring a global variable in
+### a header file. If the header is included by several files it results in
+### multiple definitions of the same variable. In previous GCC versions this
+### error is ignored. GCC 10 defaults to -fno-common, which means a linker error
+### will now be reported.
+export DEB_CFLAGS_MAINT_APPEND = -fcommon
 
 %:
 	dh $@
