=== debian/changelog ===
sdl-kitchensink (1.0.9-3build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:07:25 +0000

sdl-kitchensink (1.0.9-3) unstable; urgency=medium

  * Orphan package
  * Drop unused libavresample-dev B-D (Closes: #993421)
  * S-V: Upgrade to 4.6.0 without changes needed

 -- Didier Raboud <odyx@debian.org>  Wed, 01 Sep 2021 14:09:02 +0200

sdl-kitchensink (1.0.9-2) unstable; urgency=medium

  * Drop unused ffmpeg avresample requirements (Closes: #971321)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Oct 2020 19:51:51 +0200

sdl-kitchensink (1.0.9-1) unstable; urgency=medium

  * New 1.0.9 release
    - drop upstream patch backport

 -- Didier Raboud <odyx@debian.org>  Wed, 29 Jul 2020 08:21:20 +0200

sdl-kitchensink (1.0.8-3) unstable; urgency=medium

  * Drop -fcommon passing in CFLAGS; replace by upstream patch

 -- Didier Raboud <odyx@debian.org>  Mon, 27 Jul 2020 08:55:26 +0200
