=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: sdl-kitchensink
-Maintainer: Didier Raboud <odyx@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libsdl2-dev,
                libavcodec-dev,
                libavdevice-dev,
                libavfilter-dev,
                libavformat-dev,
-               libavresample-dev,
                libavutil-dev,
                libswresample-dev,
                libswscale-dev,
                libpostproc-dev,
                libass-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
 Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
 Homepage: https://github.com/katajakasa/SDL_kitchensink
