## sdl-kitchensink 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "9")
+set(KIT_VERSION_PATCH "11")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
@@ -22,6 +22,7 @@
 option(BUILD_EXAMPLES "Build examples" OFF)
 option(USE_DYNAMIC_LIBASS "Use dynamically loaded libass" OFF)
 option(USE_ASAN "Use AddressSanitizer" OFF)
+option(USE_TIDY "Use clang-tidy" OFF)
 option(BUILD_SHARED "Build shared library" ON)
 option(BUILD_STATIC "Build static library" ON)
 
@@ -114,6 +115,17 @@
     set(INSTALL_TARGETS SDL_kitchensink_static ${INSTALL_TARGETS})
 endif()
 
+if(USE_TIDY)
+    if(BUILD_STATIC)
+        set_target_properties(SDL_kitchensink_static PROPERTIES C_CLANG_TIDY "clang-tidy")
+    else()
+        set_target_properties(SDL_kitchensink PROPERTIES C_CLANG_TIDY "clang-tidy")
+    endif()
+    message(STATUS "Development: clang-tidy enabled")
+else()
+    message(STATUS "Development: clang-tidy disabled")
+endif()
+
 set(PKG_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/SDL_kitchensink.pc")
 configure_file(
     "${CMAKE_CURRENT_SOURCE_DIR}/pkg-config.pc.in"
@@ -122,25 +134,7 @@
 )
 
 if(BUILD_EXAMPLES)
-    add_executable(audio examples/example_audio.c)
-    add_executable(complex examples/example_complex.c)
-    add_executable(simple examples/example_simple.c)
-    add_executable(custom examples/example_custom.c)
-    add_executable(rwops examples/example_rwops.c)
-
-    if(MINGW)
-        target_link_libraries(audio mingw32)
-        target_link_libraries(complex mingw32)
-        target_link_libraries(simple mingw32)
-        target_link_libraries(custom mingw32)
-        target_link_libraries(rwops mingw32)
-    endif()
-
-    set_property(TARGET audio PROPERTY C_STANDARD 99)
-    set_property(TARGET complex PROPERTY C_STANDARD 99)
-    set_property(TARGET simple PROPERTY C_STANDARD 99)
-    set_property(TARGET custom PROPERTY C_STANDARD 99)
-    set_property(TARGET rwops PROPERTY C_STANDARD 99)
+    list(APPEND EXAMPLE_TARGETS audio complex simple custom rwops)
 
     # If we are building static, just link all libraries (ffmpeg, sdl, etc.)
     # If building shared, link shared kitchensink + SDL2 (ffmpeg gets pulled by kitchensink)
@@ -153,19 +147,22 @@
         set(EXAMPLE_LIBRARIES asan ${EXAMPLE_LIBRARIES})
     endif()
 
-    target_link_libraries(audio ${EXAMPLE_LIBRARIES})
-    target_link_libraries(complex ${EXAMPLE_LIBRARIES})
-    target_link_libraries(simple ${EXAMPLE_LIBRARIES})
-    target_link_libraries(custom ${EXAMPLE_LIBRARIES})
-    target_link_libraries(rwops ${EXAMPLE_LIBRARIES})
+    foreach(TARGET ${EXAMPLE_TARGETS})
+        add_executable(${TARGET} examples/example_${TARGET}.c)
+        set_property(TARGET ${TARGET} PROPERTY C_STANDARD 99)
+        target_link_libraries(${TARGET} ${EXAMPLE_LIBRARIES})
 
-    if(USE_ASAN)
-        target_compile_options(audio PRIVATE "-fsanitize=address")
-        target_compile_options(complex PRIVATE "-fsanitize=address")
-        target_compile_options(simple PRIVATE "-fsanitize=address")
-        target_compile_options(custom PRIVATE "-fsanitize=address")
-        target_compile_options(rwops PRIVATE "-fsanitize=address")
-    endif()
+        if(MINGW)
+            # If we are compiling with mingw, remember to link in mingw libs and set console mode
+            # This way stdout/stderr are handled correctly.
+            target_link_libraries(${TARGET} mingw32)
+            set_target_properties(${TARGET} PROPERTIES LINK_FLAGS "-mconsole")
+        endif()
+
+        if(USE_ASAN)
+            target_compile_options(${TARGET} PRIVATE "-fsanitize=address")
+        endif()
+    endforeach()
 endif()
 
 # documentation target
