=== debian/changelog ===
sdl-kitchensink (1.0.11-1) unstable; urgency=medium

  * New 1.0.11 upstream release
  * Re-adopt package
  * Bump S-V and d/watch versions
  * Set Rules-Requires-Root to no
  * Add Build-Depends-Package: libsdl-kitchensink-dev to .symbols

 -- Didier Raboud <odyx@debian.org>  Sun, 24 Sep 2023 18:14:01 +0200
