=== debian/changelog ===
sdl-kitchensink (1.0.12-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:24:59 +0200

sdl-kitchensink (1.0.12-1) unstable; urgency=medium

  * New 1.0.12 upstream version
    - add 2 new 1.0.12 symbols

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Dec 2023 17:18:59 +0100
