=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sdl-kitchensink
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Didier Raboud <odyx@debian.org>
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -15,10 +14,11 @@
                libswscale-dev,
                libpostproc-dev,
                libass-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
 Vcs-Git: https://salsa.debian.org/debian/sdl-kitchensink.git
 Homepage: https://github.com/katajakasa/SDL_kitchensink
+Rules-Requires-Root: no
 
 Package: libsdl-kitchensink1
 Architecture: any
