## sdl-kitchensink 1.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 set(KIT_VERSION_MAJOR "1")
 set(KIT_VERSION_MINOR "0")
-set(KIT_VERSION_PATCH "12")
+set(KIT_VERSION_PATCH "13")
 set(KIT_VERSION ${KIT_VERSION_MAJOR}.${KIT_VERSION_MINOR}.${KIT_VERSION_PATCH})
 add_definitions(
     -DKIT_VERSION_MAJOR=${KIT_VERSION_MAJOR}
