=== debian/changelog ===
sdl-kitchensink (1.0.13-1) unstable; urgency=medium

  * New 1.0.13 upstream version

  * Drop libpostproc-dev B-D (Closes: #1115033)
  * Patch a missing stddef include to get the NULL declaration

 -- Didier Raboud <odyx@debian.org>  Tue, 16 Sep 2025 20:19:17 +0200
