=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                libavutil-dev,
                libswresample-dev,
                libswscale-dev,
-               libpostproc-dev,
                libass-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/sdl-kitchensink
